<?php
namespace Claromentis\Setup\Db\Migrations;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_3c4298ad118f035493" . "87eda8af859750" => base64_decode("QXBwbGljYXRpb24gYWxyZWFkeSBpbnN0YW" . "xsZWQ="), "_bc2b2cbee209b1ca" . "d0873479a8fd921a" => base64_decode("L3NjaGVtYS9zY2hlbWE" . "ucGhw"), "_98587fc188f35037" . "0f03d54707c587e1" => base64_decode("aXNfcmVhZGFibGU" . "="), "_98080012c02491a0" . "c0cf9af5c977f3c7" => base64_decode("U2NoZW1hIGZpbGU" . "6IA=="), "_4e804c3c65" . "9ffa9270945" . "8081742376b" => base64_decode("Q3JlY" . "XRpbm" . "cgc2N" . "oZW1h"), "_edc5e56d0d7" . "4937af4aa39a" . "12b4e62f4" => base64_decode("MDA" . "uMD" . "A="), "_e608e5b5c4c34a67ba97ef84c1e" . "16199" => base64_decode("Jw=" . "="), "_afa8b786" . "a0282957b" . "c5e6c82eb" . "5eeaba" => base64_decode("U2NoZW1hIGZpbGUgZG9lc24ndCBleGlzdCBvciBub3QgcmVhZGFibGUsIHNraXBwaW5nIHNjaGVtYSBjcm" . "VhdGlvbg=="), "_09fd03941a048e1f28e" . "823189007cddf" => base64_decode("U2NoZW1hIHN1Y2Nlc3N" . "mdWxseSBjcmVhdGVkLi" . "BDdXJyZW50IHZlcnNpb" . "24gaXMgJw=="), "_c1bf7b7" . "ebd1ab84" . "31a8561d" . "762db189" . "5" => base64_decode("QXBwbGljYXRpb24gaXMgbm90IGl" . "uc3RhbGxlZC4gQ2Fubm90IHVwZG" . "F0ZQ=="), "_0a441bddac7bebad7a98" . "58a0dfadcd90" => base64_decode("MDEuMDE" . "="));
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Exception\NotInstalledException;




class Schema extends MigrationsBase
{
    
    
    
    
    
    
    
    
    public function Install()
    {
        if ($this->IsSchemaCreated()) {
            throw new AlreadyInstalledException($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_3c4298ad118f035" . "49387eda8af85975" . "0"]);
        }
        $this->CreateSchema();
    }
    
    
    
    
    
    
    
    
    public function Update()
    {
        if (!$this->IsSchemaCreated()) {
            throw new NotInstalledException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_c1bf7b7ebd" . "1ab8431a856" . "1d762db1895"]);
        }
    }
    
    
    
    
    public function Up()
    {
        if (!$this->IsSchemaCreated()) {
            $this->CreateSchema();
        }
    }
    
    
    
    
    
    
    protected function IsSchemaCreated()
    {
        return $this->persistence->GetVersion() !== null;
    }
    
    
    
    
    protected function CreateSchema()
    {
        $_3d94334dda6f8e448f15c2285d522e72 = $this->init_path . $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_bc2b2cbee209b1cad087347" . "9a8fd921a"];
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_98587fc188f350370f03d54" . "707c587e1"]($_3d94334dda6f8e448f15c2285d522e72)) {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_98080012" . "c02491a0c" . "0cf9af5c9" . "77f3c7"] . $_3d94334dda6f8e448f15c2285d522e72);
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_4e804c3c659ffa92709458081742376" . "b"]);
            extract($this->environment, EXTR_REFS | EXTR_OVERWRITE);
            include $_3d94334dda6f8e448f15c2285d522e72;
            if (!$this->persistence->GetVersion()) {
                $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_0a441bddac7b" . "ebad7a9858a0d" . "fadcd90"]);
            }
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_09fd03941a048e1f28e8231890" . "07cddf"] . $this->persistence->GetVersion() . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_e608e5b5c4c34a67b" . "a97ef84c1e16199"]);
        } else {
            $this->logger->warning($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_afa8b786a" . "0282957bc5" . "e6c82eb5ee" . "aba"]);
            $this->persistence->SetVersion($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_edc5e56d" . "0d74937af" . "4aa39a12b" . "4e62f4"]);
        }
    }
}